#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <termios.h>
#include <stdio.h>

#define BAUDRATE B9600
#define MODEMDEVICE "/dev/ttyS0"
#define _POSIX_SOURCE 1 /* POSIX compliant source */
#define FALSE 0
#define TRUE 1

class SerialPort {
public:
        SerialPort();
        ~SerialPort() {};
        char poll();
        int openPort();
        int closePort();
private:
        struct termios oldtio;
        struct termios newtio;
        int fileDescriptor;
        char currChar;
};
